<?php
defined('IN_WEB') or die('Include Error!');
/**
 *推送相关
 */
class Push
{

    /**
     * 设置推送标签组
     * @param $param
     * @return mixed
     */
        public function batchSetTag($param)
        {
            $token = $param['token'];
            if(empty($token)) {
                return json_encode(oo::res(-1));
            }
            $tag = 'en';

            $ret = oo::commonOprModel('push')->BatchSetTag($tag, $token);
            return json_encode($ret);
        }


        public function queryTag($param)
        {
            $tag = $param['tag'];
            if(empty($tag)) {
                return json_encode(oo::res(-1));
            }
            $ret = oo::commonOprModel('push')->queryTag($tag);
            return json_encode($ret);
        }


    /**
     * 查询token下的标签
     * @param $param
     * @return string
     */
        public function queryTokenTags($param)
        {
            $token = $param['token'];
            if(empty($token)) {
                return json_encode(oo::res(-1));
            }
            $ret = oo::commonOprModel('push')->QueryTokenTags($token);
            return json_encode($ret);
        }
}